classification
Title: Backport: Mixing default keyword arguments with *args
Type: enhancement Stage: committed/rejected
Components: Interpreter Core Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, christian.heimes, ezio.melotti, pitrou, rhettinger, terry.reedy
Priority: normal Keywords:

Created on 2008-01-22 20:04 by rhettinger, last changed 2010-06-26 22:56 by ezio.melotti. This issue is now closed.

Messages (10)
msg61530 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-01-22 20:04
Need to backport Py3.0's functionality so that the following is valid
syntax:

   def f(a, *args, v=None):
       . . .
msg61534 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-22 20:24
Why have you assigned the bug to me? I ain't no grammar expert.
msg61535 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-01-22 20:26
I mistakenly thought you had done this for Py3.0.
msg61536 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-22 20:32
Raymond Hettinger wrote:
> Raymond Hettinger added the comment:
> 
> I mistakenly thought you had done this for Py3.0.

You're welcome, pal! :) I've created a backport of the kw only functions
for 2.6 but that doesn't make me an expert on grammar.
msg104446 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-04-28 18:14
Can this be closed as either fixed or out-or-date, as the case may be?
msg104447 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2010-04-28 18:20
It should still be done if any one has the time.
Guido approved it long ago.
msg104450 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-04-28 19:11
Ok, I though 2.7 was in feature freeze.
Updating version.
msg104461 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-04-28 20:11
Besides someone having to produce the patch, it would also need the release manager's approval (Benjamin).
msg104462 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-04-28 20:23
Wouldn't this imply a full backport of keyword only arguments? That seems unlikely at the moment.
msg108756 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-06-26 22:56
Now it's too late for this. Closing as out of date.
History
Date User Action Args
2010-06-26 22:56:43ezio.melottisetstatus: open -> closed

type: enhancement

keywords: - 26backport
nosy: + ezio.melotti
messages: + msg108756
resolution: out of date
stage: committed/rejected
2010-04-28 20:23:26benjamin.petersonsetmessages: + msg104462
2010-04-28 20:11:38pitrousetnosy: + pitrou, benjamin.peterson
messages: + msg104461
2010-04-28 19:11:31terry.reedysetmessages: + msg104450
versions: + Python 2.7, - Python 2.6
2010-04-28 18:20:28rhettingersetmessages: + msg104447
2010-04-28 18:14:54terry.reedysetnosy: + terry.reedy
messages: + msg104446
2008-03-18 16:56:57jafosetpriority: normal
keywords: + 26backport
2008-01-22 20:32:11christian.heimessetmessages: + msg61536
2008-01-22 20:26:40rhettingersetassignee: christian.heimes ->
messages: + msg61535
2008-01-22 20:24:17christian.heimessetmessages: + msg61534
2008-01-22 20:04:32rhettingercreate